Bug 924988

Summary: alsa-plugins: Does not support aarch64 in f19 and rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: alsa-pluginsAssignee: Jaroslav Kysela <jkysela>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jkysela, kwizart
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-27 03:07:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 922257    

Description Dennis Gilmore 2013-03-23 00:00:31 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  alsa-plugins appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/alsa-plugins/alsa-plugins-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Fedora Update System 2013-04-12 09:03:53 UTC
alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19

Comment 2 Fedora Update System 2013-04-12 15:19:39 UTC
Package alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-utils-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alsa-plugins-1.0.27-1.fc19 alsa-tools-1.0.27-1.fc19 alsa-firmware-1.0.27-1.fc19 alsa-utils-1.0.27-1.fc19 alsa-lib-1.0.27-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5535/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-04-15 16:16:02 UTC
Package alsa-utils-1.0.27-2.fc19, alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alsa-utils-1.0.27-2.fc19 alsa-plugins-1.0.27-1.fc19 alsa-tools-1.0.27-1.fc19 alsa-firmware-1.0.27-1.fc19 alsa-lib-1.0.27-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5535/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-2.fc19,alsa-lib-1.0.27-2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-27 03:07:44 UTC
alsa-utils-1.0.27-2.fc19, alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.